Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class PrintMap

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
              org.deegree.ogcwebservices.wmps.operation.PrintMap

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class PrintMap

extends WMPSRequestBase
implements Serializable

This interface describes the access to the parameters of a PrintMap request. It is expected that there are two kinds of request. The first is the 'normal' HTTP GET request with name-value-pair enconding and the second is a HTTP POST request containing a SLD. It is possible to access the values of a HTTP GET request throught its bean accessor methods. The request shall be mapped to a SLD data structure, accessible using the `getSLD()` method.

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  Serialized Form

Constructor Summary
`PrintMap(String id, String version, GetMap.Layer[] layers, String srs, Envelope boundingBox, Point center, int scaleDenominator, boolean transparent, Color bgColor, String title, String copyright, boolean legend, boolean scaleBar, String note, String template, String emailaddress, Timestamp timestamp, TextArea[] textAreas, int dpi, Map<String,String> vendorSpecificParameter)` Create a new PrintMap instance.

Method Summary
`protected void` | `addLayers(GetMap.Layer layer)` adds the
`static PrintMap` | `create(Element root)` creates a `PrintMapRequest` from its XML representation as defined in the specification.
`static PrintMap` | `create(Map<String,String> model)` creates a `PrintMapRequest` from a `HashMap` that contains the request parameters as key-value-pairs.
`static PrintMap` | `create(String id, String version, GetMap.Layer[] layers, String srs, Envelope bbox, Point center, int scaleDenominator, boolean transparent, Color bgColor, String title, String copyright, boolean legend, boolean scaleBar, String note, String template, String emailAddress, Timestamp timestamp, TextArea[] textAreas, int dpi, Map<String,String> vendorSpecificParameters)` Returns a new PrintMap instance.
`static GetMap.Layer` | `createLayer(String name, String style)` creates a Layer object beacuse of the inner class construct.
`Envelope` | `getBBOX()` Get bounding box
`Color` | `getBGColor()` Get BGColor
`Point` | `getCenter()` Get center
`String` | `getCopyright()` Get Copyright
`int` | `getDpi()`
`String` | `getEmailAddress()` Get Email Address
`GetMap.Layer[]` | `getLayers()` The required LAYERS parameter lists the map layer(s) to be returned by this PrintMapRequest request.
`boolean` | `getLegend()` Get Legend
`String` | `getNote()` Get Note (extra descriptive text)
`boolean` | `getScaleBar()` Get Scale Bar
`int` | `getScaleDenominator()` Get ScaleDenominator
`String` | `getSRS()` Get SRS
`String` | `getTemplate()` Get Template
`TextArea` | `getTextArea(String name)` Retrieve ( if available ) the current text area identified by 'name' from the list of text areas defined.
`TextArea[]` | `getTextAreas()` Get Text Areas
`Timestamp` | `getTimestamp()` Get TimeStamp
`String` | `getTitle()` Get Map Title
`boolean` | `getTransparent()` Get Transparency
`void` | `setDpi(int dpi)`
`String` | `toString()` Overwrite the toString() method to export the current request as a readable statement.

Methods inherited from class org.deegree.ogcwebservices.wmps.operation.WMPSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintMap

    PrintMap(String id,
             String version,
             GetMap.Layer[] layers,
             String srs,
             Envelope boundingBox,
             Point center,
             int scaleDenominator,
             boolean transparent,
             Color bgColor,
             String title,
             String copyright,
             boolean legend,
             boolean scaleBar,
             String note,
             String template,
             String emailaddress,
             Timestamp timestamp,
             TextArea[] textAreas,
             int dpi,
             Map<String,String> vendorSpecificParameter)

  Create a new PrintMap instance.

  Parameters:
    `id` -
    `version` -
    `layers` -
    `srs` -
    `boundingBox` -
    `center` -
    `scaleDenominator` -
    `transparent` -
    `bgColor` -
    `title` -
    `copyright` -
    `legend` -
    `scaleBar` -
    `note` -
    `template` -
    `emailaddress` -
    `timestamp` -
    `textAreas` -
    `dpi` -
    `vendorSpecificParameter` -

Method Detail

### getDpi

    public int getDpi()

  Returns:
    the dpi

### setDpi

    public void setDpi(int dpi)

  Parameters:
    `dpi` - the dpi to set

### getLayers

    public GetMap.Layer[] getLayers()

  The required LAYERS parameter lists the map layer(s) to be returned by this PrintMapRequest request. The value of the LAYERS parameter is a comma-separated list of one or more valid layer names. Allowed layer names are the character data content of any element in the Capabilities XML.

  A WMS shall render the requested layers by drawing the leftmost in the list bottommost, the next one over that, and so on.

  Each layer is associated to a style. Styles are also is encoded as a comma- seperated list within the PrintMapRequest request.

  The required STYLES parameter lists the style in which each layer is to be rendered. There is a one-to-one correspondence between the values in the LAYERS parameter and the values in the STYLES parameter. Because of this layer-style combinations are returned coupled within an array of Layer- objects. Each map in the list of LAYERS is drawn using the corresponding style in the same position in the list of STYLES. Each style Name shall be one that was defined in the element of a